##
## interfaces.py
import grok
#from zope.interface import Interface
from zope import schema

class IBaseContainer(grok.interfaces.IContainer):
    name = schema.TextLine(
        title = u'Name of Container',
        default = u'Unnamed Container',
        required = True
        )
    

class IBaseItem(grok.interfaces.IContainer):
    name = schema.TextLine(
        title = u'Name of Item',
        default = u'Unnamed Item',
        required = True
        )

class IUniversity(IBaseContainer):
    """Representation of a university.
    """
    name = schema.TextLine(
        title = u'Name of University',
        default = u'Unnamed',
        required = True,
        )
